List User Sessions
curl --request GET \
--url https://api.example.com/api/v1/bko/users/{userId}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/bko/users/{userId}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/bko/users/{userId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"audience": "OPS",
"status": "ACTIVE",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"userSessionId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastUsedAt": "2026-01-01T00:00:00.000Z",
"deviceId": "ios-3E4B9D",
"deviceName": "iPhone 15 Pro",
"ipAddress": "203.0.113.10",
"userAgent": "DEVMOB Ops/1.8.0 iOS"
}
],
"meta": {
"limit": 10,
"page": 1,
"totalItems": 100,
"totalPages": 10
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}User Session
List User Sessions
Lists active user sessions.
GET
/
api
/
v1
/
bko
/
users
/
{userId}
/
sessions
List User Sessions
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
User identifier
Example:
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Query Parameters
Items per page
Example:
10
Page number
Example:
1
Field to sort by
Available options:
lastUsedAt, createdAt Example:
"lastUsedAt"
Sort order
Available options:
asc, desc Example:
"desc"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.